@import "modules.scss";
@import "partials.scss";

.mc-row {
  margin: 30px 0;
}

.mc-wallpaperNormal__container {
  background: linear-gradient(to top, #ece9e6, #ffffff);
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  background-position: center;
  width: 100vw;
  height: 100vh;
  display: block;
}

.mc-backdsrop {
  width: 100%;
  height: 100%;
  display: block;
  background-color: rgba(0, 0, 0, 0.8);
  position: fixed;
  top: 0;
  left: 0;
  backdrop-filter: blur(10px);
  z-index: 0;
}

.mc-barMenu__container {
  .mc-barMenu__content {
    @include flex($align-item: center, $justify-content: space-between);
    .mc-barMenu__col {
      .mc-logo {
        font-family: "desyrelregular";
        font-size: 2rem;
        color: #333;
        transition: 800ms;
        cursor: pointer;
        &:hover {
          color: #ffae00;
          transition: 800ms;
          text-shadow: 0 0 10px rgba(255, 174, 0, 0.5);
        }
      }
      .mc-loginMenu_container {
        @include flex($align-item: center);
        list-style: none;
        padding: 0;
        margin: 0;
        .mc-loginMenu__item {
          font-family: "robotolight";
          font-size: 0.8rem;
          text-transform: uppercase;
          color: #333;
          margin-right: 10px;
          position: relative;
          &:after {
            content: "";
            width: 0%;
            height: 2px;
            display: block;
            background-color: #ffae00;
            position: absolute;
            left: 0;
            bottom: -5px;
            transition: 800ms;
          }
          &:hover {
            color: #ffae00;
            transition: 800ms;
            cursor: pointer;
            &:after {
              width: 100%;
              transition: 800ms;
            }
          }
          &:last-of-type {
            margin-right: 0;
          }
        }
      }
    }
  }
}

.mc-cardDefault__container {
  width: 100%;
  height: 70px;
  display: block;
  backdrop-filter: blur(10px);
}

.mc-cardProfile__container {
  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0.1),
    rgba(255, 255, 255, 0.1)
  );
  padding: 10px;
  .mc-cardProfile__content {
    @include flex($align-item: flex-start, $flex-direction: column);
    .mc-cardProfile__header {
    }
    .mc-cardProfile__body {
      @include flex($flex-direction: row, $align-item: center);
      .mc-cardProfile__avatar {
        width: 70px;
        height: 70px;
        border-radius: 100%;
        overflow: hidden;
        margin-right: 10px;
        img {
          width: 100%;
          height: auto;
        }
      }
      .mc-cardProfile__infos {
        .mc-cardProfile__NameUser {
          font-family: "robotobold";
          font-size: 1.2rem;
          color: #333;
          margin: 0;
        }
        .mc-cardProfile__LevelName {
          font-family: "robotolight";
          font-size: 0.6rem;
          color: #333;
          margin: 0;
        }
      }
    }
    .mc-cardProfile__footer {
    }
  }
}

.mc-motoPicture__container {
  @include flex($justify-content:center);
  position: relative;
  .mc-motoGraphics__container {
    position: absolute;
    top: 0;
    right: 0;
    .mc-motoGraphic__items {
      .mc_motoGraphic__item {
        margin:20px 0;
        .mc-motoGraphic__title {
          font-family: 'robotolight';
          font-size: 0.8rem;
          color: #333;
          margin: 0 5px;
        }
      }
    }
  }
}

.mc-motoStatus__container {
  @include flex($flex-direction:column, $align-item:center);
  .mc-motoStatus__title {
    font-family: 'robotoregular';
    font-size: 0.7rem;
    color: #333;
  }
  .mc-motoStatus__text {
    font-family: 'robotobold';
    font-size: 2rem;
    color: #333;
    span {
      font-size: 0.8rem;
    }
  }
}

.mc-menuLateral__container {
  list-style: none;
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto;
  display: block;
  padding: 0;
  height: 130px;
  .mc-menuLateral__item {
    width: 100px;
    font-family: 'robotolight';
    font-size: 0.8rem;
    color: #333;
    margin: 5px 0;
    padding: 5px;;
    cursor: pointer;
    transition: 800ms;
    &:hover {
      font-family: 'robotobold';
      transition: 800ms;
      margin-left: 10px;
    }
    &.active {
      background-color: rgba(0, 0, 0, 0.1);
    }
  }
}